petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMFFDWPSetComputeNormU

Sets whether it computes the ||U|| used by the WP PETSc routine for computing h. With any Krylov solver this need only be computed during the first iteration and kept for later.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDWPSetComputeNormU(Mat A,PetscBool flag)

### Input Parameters

| A | - the matrix created with MatCreateSNESMF()
| flag | - PETSC_TRUE causes it to compute ||U||, PETSC_FALSE uses the previous value

### Options Database Key

-mat_mffd_compute_normu <true,false> -true by default, false can save calculations but you must be sure that ||U|| has not changed in the mean time.

### Notes

See the manual page for MATMFFD_WP for a complete description of the algorithm used to compute h.

### See Also

MatMFFDSetFunctionError(), MatCreateSNESMF()

Level:advanced
Location:src/mat/impls/mffd/wp.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages